#include <iostream>

using namespace std;

long int ii, t, a, i, b;

int main(){
	freopen("weighing.IN","r",stdin);
	cin >> t; 
	for (ii=0; ii<t; ii++){
		cin >> a; b=1; i=0;
		while(1){
             i++;
			 b*=2;
			 if (b>a){cout << i-1 << "\n"; break;}
		}
		}
	return 0;
}